(* [TI-CSL60]HOWDY:<FORDYCE.WORK>XMLIST.PAS.4, 31-Oct-85 11:44:04, Edit by FORDYCE *)
(* Create a program (rather than rewriting the quasar interface in MACRO-20) *)
(*  to do the submit so that programs that run MLIST as a subfork don't bomb *)
(*  when they try to do the SUBMIT *)
(* Add gjinf jsys so all users will be able to execute this *)

	program xmlist;

	include 'pas:quasar.pas';

	const
	 gjinf=13b;

	var
         notesw:packed array [1..12] of char ;
	 usrnum,condir,jobnum,ttynum : integer;

	begin

	jsys(gjinf;;usrnum,condir,jobnum,ttynum); (* Get necessary b/g info *)

	qsrinit;

  (* SUBMIT PS:<Subsys>Mlist-Restore.Ctl/JOBNAME:MLIST/USER:(usrnum)/NOTIFY *)

	startqueue(batch,'MLIST     ','ps:<subsys>mlist-restore.ctl');
	qnotify(notifytty);
	quser(usrnum);
	qbatchlog(logsupercede);
	doqueue(false);

	writeln(tty,' [ MLIST Database Re-Initialization Started ]');

	end.
